// FileZilla Server - a Windows ftp server

// Copyright (C) 2002-2005 - Tim Kosse <tim.kosse@gmx.de>

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef __DELETEGROUPINUSEDLG_H__
#define __DELETEGROUPINUSEDLG_H__
#include "afxwin.h"

#include "..\Accounts.h"

class CDeleteGroupInUseDlg : public CDialog
{
	DECLARE_DYNAMIC(CDeleteGroupInUseDlg)

public:
	CDeleteGroupInUseDlg(CWnd* pParent = NULL);   // Standardkonstruktor
	virtual ~CDeleteGroupInUseDlg();

// Dialogfelddaten
	enum { IDD = IDD_DELETEGROUPINUSE };

protected:
	CStatic m_Desc;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung

	DECLARE_MESSAGE_MAP()
public:
	typedef std::vector<t_group> t_GroupsList; 
	const t_GroupsList* m_GroupsList;
	CString m_groupName;
	CComboBox m_NewGroup;
	int m_action;
	virtual BOOL OnInitDialog();
	afx_msg void OnOK();
};

#endif //__DELETEGROUPINUSEDLG_H__